## emacs-pdf-tools 0.70

=== Makefile ===
EMACS ?= emacs

# Handle the mess when inside Emacs.
unexport INSIDE_EMACS		#cask not like this.
ifeq ($(EMACS), t)
EMACS = emacs
endif

EMACS_VERSION = $(shell $(EMACS) -Q --batch --eval '(princ emacs-version)')
EFLAGS = -Q --batch

# Note: If you change this, also change it in lisp/pdf-tools.el and
# server/configure.ac .
PACKAGE_VERSION = 0.70
PKGFILE_CONTENT = (define-package "pdf-tools" "$(PACKAGE_VERSION)"	\
		   "Support library for PDF documents."			\
		   (quote ((emacs "24.3") (let-alist "1.0.1")))		\
		   :keywords						\
		   (quote ("files" "multimedia")))

PACKAGE_NAME = pdf-tools-$(PACKAGE_VERSION)
PACKAGE_DIR = $(PACKAGE_NAME)

.PHONY: all clean distclean package bytecompile test check melpa cask-install

all: package

clean: 
	rm -rf -- $(PACKAGE_DIR)
	rm -f -- $(PACKAGE_NAME).tar
	rm -f -- lisp/*.elc
	! [ -f server/Makefile ] || $(MAKE) -C server clean

distclean: clean
	rm -rf .cask
	! [ -f server/Makefile ] || $(MAKE) -C server distclean

package: $(PACKAGE_NAME).tar

$(PACKAGE_NAME).tar: server/epdfinfo lisp/*.el
	mkdir -p '$(PACKAGE_DIR)'
	cp lisp/*.el README server/epdfinfo '$(PACKAGE_DIR)'
	echo '$(PKGFILE_CONTENT)' > '$(PACKAGE_DIR)/pdf-tools-pkg.el'
	tar cf '$(PACKAGE_NAME).tar' '$(PACKAGE_DIR)'

melpa-package: 
	$(MAKE) distclean
	mkdir -p '$(PACKAGE_DIR)/build'
	cp lisp/*.el README '$(PACKAGE_DIR)'
	cp -r Makefile server '$(PACKAGE_DIR)/build'
	echo '$(PKGFILE_CONTENT)' > '$(PACKAGE_DIR)/pdf-tools-pkg.el'
	tar cf '$(PACKAGE_NAME).tar' '$(PACKAGE_DIR)'

install-package: package
	$(EMACS) $(EFLAGS) --eval \
		"(progn (package-initialize) \
			(package-install-file \
				\"$(PACKAGE_NAME).tar\"))"

server/epdfinfo: server/Makefile
	$(MAKE) -C server
server/Makefile: server/configure
	cd server && ./configure -q
server/configure: server/configure.ac
	cd server && ./autogen.sh

bytecompile: cask-install
	cask exec $(EMACS) $(EFLAGS) -L $(PWD)/lisp -f batch-byte-compile lisp/*.el

test: all cask-install
	cask exec $(EMACS) $(EFLAGS) -l test/run-tests.el $(PACKAGE_NAME).tar

cask-install: .cask/$(EMACS_VERSION)

.cask/$(EMACS_VERSION):
	cask install

check: bytecompile test

print-version:
	@[ -n '$(PACKAGE_VERSION)' ] && echo '$(PACKAGE_VERSION)'

install-server-deps:
	sudo apt-get install gcc g++ make automake autoconf \
		libpng-dev libz-dev libpoppler-glib-dev
	-sudo apt-get install libpoppler-private-dev
	-sudo apt-get install gtklp

melpa-build: server/epdfinfo
	-cp -p server/epdfinfo ..
	$(MAKE) distclean
	@if [ -x ../epdfinfo ]; then \
		echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~"; \
		echo "Server successfully build. "; \
		echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~"; \
	else \
		echo "Server not build, maybe due to missing dependencies (See README)."; \
		echo "Required: gcc g++ make automake autoconf libpng-dev libz-dev libpoppler-glib-dev libpoppler-private-dev"; \
		false; \
	fi

=== debian/changelog ===
emacs-pdf-tools (0.70-1) unstable; urgency=medium

  * Initial release (Closes: #826393)

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 19 Apr 2016 21:30:24 +0200

=== debian/control ===
Source: emacs-pdf-tools
Section: text
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>=9), dh-elpa, libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev
Standards-Version: 3.9.8
Homepage: https://github.com/politza/pdf-tools
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-pdf-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-pdf-tools.git

Package: elpa-pdf-tools
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, emacsen-common (>= 2.0.8), emacs, elpa-pdf-tools-server
Built-Using: ${misc:Built-Using}
Description: Display and interact with pdf in Emacs.
 This mode replace DocView for PDF files.  The key difference is, that pages
 are created on-demand and stored in memory.
 .
 One can also get all kinds of information about a document, add
 annotation, copy and paste, follow link...
 .
 With synctex one can also get to the tex source of a part of a
 document.

Package: elpa-pdf-tools-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: server for Emacs's pdf-tools
 This package contain the server needed by elpa-pdf-tools to transform
 pdf into png to be displayed by Emacs.
 .
 You probably need it only for elpa-pdf-tools

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle="s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pdf-tools-$1.tar.gz%" \
   https://github.com/politza/pdf-tools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-pdf-tools 0.80

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,11 @@
 
 # Note: If you change this, also change it in lisp/pdf-tools.el and
 # server/configure.ac .
-PACKAGE_VERSION = 0.70
+PACKAGE_VERSION = 0.80
 PKGFILE_CONTENT = (define-package "pdf-tools" "$(PACKAGE_VERSION)"	\
 		   "Support library for PDF documents."			\
-		   (quote ((emacs "24.3") (let-alist "1.0.1")))		\
+		   (quote ((emacs "24.3") (let-alist "1.0.4")		\
+			   (tablist "0.70")))				\
 		   :keywords						\
 		   (quote ("files" "multimedia")))
 
@@ -25,7 +26,7 @@
 
 all: package
 
-clean: 
+clean:
 	rm -rf -- $(PACKAGE_DIR)
 	rm -f -- $(PACKAGE_NAME).tar
 	rm -f -- lisp/*.elc
@@ -43,7 +44,7 @@
 	echo '$(PKGFILE_CONTENT)' > '$(PACKAGE_DIR)/pdf-tools-pkg.el'
 	tar cf '$(PACKAGE_NAME).tar' '$(PACKAGE_DIR)'
 
-melpa-package: 
+melpa-package:
 	$(MAKE) distclean
 	mkdir -p '$(PACKAGE_DIR)/build'
 	cp lisp/*.el README '$(PACKAGE_DIR)'
@@ -88,6 +89,11 @@
 
 melpa-build: server/epdfinfo
 	-cp -p server/epdfinfo ..
+	@if [ "$(shell uname -o)" = "Msys" ]; then \
+		for f in $(shell ldd server/epdfinfo | awk '/mingw/ {print $$3}'); do \
+			cp $$f ..; \
+		done; \
+	fi
 	$(MAKE) distclean
 	@if [ -x ../epdfinfo ]; then \
 		echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~"; \

=== debian/changelog ===
emacs-pdf-tools (0.80-1build1) bionic; urgency=medium

  * No-change rebuild for poppler soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Jan 2018 05:04:55 +0000

emacs-pdf-tools (0.80-1) unstable; urgency=medium

  * New upstream released
  * drop 0002-Look-for-epdfinfo-where-it-is.patch

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 16 Sep 2017 23:01:41 +0200

emacs-pdf-tools (0.70-3) unstable; urgency=medium

  * Correct the address of the Debian Emacs addons team

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 20 Jan 2017 10:57:44 +0100

emacs-pdf-tools (0.70-2) unstable; urgency=medium

  * Correct pdf-info-epdfinfo-program default value.

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 18 Oct 2016 17:43:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: emacs-pdf-tools
 Section: text
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.debian.org>
+Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>=9), dh-elpa, libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	make server/epdfinfo

override_dh_install:
	dh_install
	dh_elpa

override_dh_auto_test:
	@echo skipping test

override_dh_clean:
	dh_clean
	rm -f server/ar-lib server/compile

## emacs-pdf-tools 0.90

=== debian/changelog ===
emacs-pdf-tools (0.90-3build2) focal; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@debian.org>  Fri, 27 Mar 2020 18:07:08 +0100

emacs-pdf-tools (0.90-3build1) focal; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Feb 2020 15:16:57 +0100

emacs-pdf-tools (0.90-3) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches (Closes: #935711).

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:46:09 -0300

emacs-pdf-tools (0.90-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:24:26 -0300

emacs-pdf-tools (0.90-1) unstable; urgency=medium

  [ Rémi Vanicat ]
  * New upstream released
  * Drop patches included upstream
  * Update 0001-Use-debian-libsynctex-dev.patch patch
  * Skipping test in server/test
  * Bump standard version to 4.3.0

  [ Yangfl ]
  * d/rules: Add hardening options
  * Remove full stop in package synopsis
  * Bump debhelper compat to 11

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 13 Jan 2019 08:59:04 +0100

emacs-pdf-tools (0.80-4) unstable; urgency=medium

  [ David Bremner ]
  * Team Upload
  * Change maintainer list to debian-emacsen@lists.debian.org

  [ Yangfl ]
  * Backport upstream commits to fix FTBFS with poppler 0.69.0 (Closes: #910866)

 -- David Bremner <bremner@debian.org>  Wed, 17 Oct 2018 22:05:41 -0300

emacs-pdf-tools (0.80-3) unstable; urgency=medium

  * Team upload.
  * Patch epdfinfo.c for new synctex (Closes: #896562).
    Thanks to Samuel Thibault for the patch.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 29 Apr 2018 09:43:39 -0700

emacs-pdf-tools (0.80-2) unstable; urgency=medium

  * Add a README.Debian to document how to activate the package.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 10 Dec 2017 10:54:47 +0100

=== debian/control ===
Source: emacs-pdf-tools
Section: text
Priority: optional
Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>=11~),
Build-Depends-Indep: dh-elpa,
Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/politza/pdf-tools
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git/

Package: elpa-pdf-tools
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, emacsen-common (>= 2.0.8), emacs, elpa-pdf-tools-server
Built-Using: ${misc:Built-Using}
Description: Display and interact with pdf in Emacs
 This mode replace DocView for PDF files.  The key difference is, that pages
 are created on-demand and stored in memory.
 .
 One can also get all kinds of information about a document, add
 annotation, copy and paste, follow link...
 .
 With synctex one can also get to the tex source of a part of a
 document.

Package: elpa-pdf-tools-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: server for Emacs's pdf-tools
 This package contain the server needed by elpa-pdf-tools to transform
 pdf into png to be displayed by Emacs.
 .
 You probably need it only for elpa-pdf-tools

## emacs-pdf-tools 1.0~20200512

=== Makefile ===

EMACS ?= emacs
# Handle the mess when inside Emacs.
unexport INSIDE_EMACS		#cask not like this.
ifeq ($(EMACS), t)
EMACS = emacs
endif

emacs = $(EMACS)
emacs_version = $(shell $(emacs) --batch --eval \
		'(princ (format "%s.%s" emacs-major-version emacs-minor-version))')
$(info Using Emacs $(emacs_version))

version=$(shell sed -ne 's/^;\+ *Version: *\([0-9.]\)/\1/p' lisp/pdf-tools.el)
pkgname=pdf-tools-$(version)
pkgfile=$(pkgname).tar

.PHONY: all clean distclean bytecompile test check melpa cask-install

all: $(pkgfile)

# Create a elpa package including the server
$(pkgfile): .cask/$(emacs_version) server/epdfinfo lisp/*.el
	cask package .

# Compile the Lisp sources
bytecompile: .cask/$(emacs_version)
	cask exec $(emacs) --batch -L lisp -f batch-byte-compile lisp/*.el

# Run ERT tests
test: all
	PACKAGE_TAR=$(pkgfile) cask exec ert-runner

check: test

# Run the autobuild script tests in docker
test-autobuild: server-test

# Run all tests
test-all: test test-autobuild

# Init cask
.cask/$(emacs_version):
	cask install

# Run the autobuild script (installing depends and compiling)
autobuild:
	cd server && ./autobuild

# Soon to be obsolete targets
melpa-build: autobuild
	cp build/epdfinfo .
install-server-deps: ;

# Create a package like melpa would.
melpa-package: $(pkgfile)
	cp $(pkgfile) $(pkgname)-melpa.tar
	tar -u --transform='s/server/$(pkgname)\/build\/server/' \
		-f $(pkgname)-melpa.tar \
		$$(git ls-files server)
	tar -u --transform='s/Makefile/$(pkgname)\/build\/Makefile/' \
		-f $(pkgname)-melpa.tar \
		Makefile
	tar -u --transform='s/README\.org/$(pkgname)\/README/' \
		-f $(pkgname)-melpa.tar \
		README.org
	-tar --delete $(pkgname)/epdfinfo \
		-f $(pkgname)-melpa.tar

# Various clean targets
clean: server-clean
	rm -f -- $(pkgfile)
	rm -f -- lisp/*.elc
	rm -f -- pdf-tools-readme.txt
	rm -f -- pdf-tools-$(version).entry

distclean: clean server-distclean
	rm -rf -- .cask

# Server targets
server/epdfinfo: server/Makefile server/*.[ch]
	$(MAKE) -C server

server/Makefile: server/configure
	cd server && ./configure -q

server/configure: server/configure.ac
	cd server && ./autogen.sh

server-test: server/Makefile
	$(MAKE) -C server check

server-clean:
	! [ -f server/Makefile ] || $(MAKE) -C server clean

server-distclean:
	! [ -f server/Makefile ] || $(MAKE) -C server distclean

=== server/test/Makefile ===
# +-----------------------------------------------------------+
# * Docker tests for the autobuild script
# +-----------------------------------------------------------+

# List of available OS.
DOCKER_OS = $(patsubst %.Dockerfile.in, %, \
		$(notdir $(wildcard docker/templates/*.Dockerfile.in)))

# Arguments to pass to docker build .
DOCKER_BUILD_ARGS = -q

# Advice make not to delete these "intermediate" files.
.PRECIOUS: docker/%.Dockerfile docker/.%.build

.PHONY: all test check docker/build

all: docker/test
test: docker/test
check: docker/test

# Create the Dockerfile
docker/%.Dockerfile: docker/templates/%.Dockerfile.in \
		     docker/templates/Dockerfile.in
	@echo Creating Dockerfile for target $*
	cat $^ > $@

# Build the Dockerfile
docker/.%.build: docker/%.Dockerfile ../autobuild docker/lib
	@echo Building target $*
	docker build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../
	touch $@

# Run the Dockerfile
docker/%: docker/.%.build
	@echo Running tests on target $*
	docker run epdfinfo/$*

# Run all Dockerfiles
docker/test: docker/build $(patsubst %, docker/%, $(DOCKER_OS))

# Build all Dockerfiles
docker/build: $(patsubst %, docker/.%.build, $(DOCKER_OS))

clean:
	rm -f -- docker/.[^.]*.build
	rm -f -- docker/*.Dockerfile

print:
	@for os in $(DOCKER_OS); do echo $$os; done | sort

=== debian/changelog ===
emacs-pdf-tools (1.0~20200512-2build4) jammy; urgency=medium

  * No-change rebuild against latest poppler

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 12:39:19 -0500

emacs-pdf-tools (1.0~20200512-2build3) jammy; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@debian.org>  Tue, 02 Nov 2021 10:47:45 +0100

emacs-pdf-tools (1.0~20200512-2build2) impish; urgency=medium

  * Rebuiid with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Jun 2021 12:12:38 +0200

emacs-pdf-tools (1.0~20200512-2build1) hirsute; urgency=medium

  * Rebuiid with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 13:13:18 +0100

emacs-pdf-tools (1.0~20200512-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 13 Sep 2020 07:43:03 -0300

emacs-pdf-tools (1.0~20200512-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot. Bug fix: "annotation editing broken with emacs
    27.1" (Closes: #969462).
  * Drop patch fix-for-new-libsynctex; equivalent is upstream now.
  * Add versioned depends on libpoppler-glib8 (Closes: #969537).

 -- David Bremner <bremner@debian.org>  Sat, 05 Sep 2020 08:52:01 -0300

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 Package: elpa-pdf-tools-server
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libpoppler-glib8 (>= 20.09.0~), ${misc:Depends}, ${shlibs:Depends}
 Description: server for Emacs's pdf-tools
  This package contain the server needed by elpa-pdf-tools to transform
  pdf into png to be displayed by Emacs.

=== debian/watch ===
--- 
+++ 
@@ -7,6 +7,6 @@
 version=4
 
 # GitHub hosted projects
-opts="filenamemangle="s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pdf-tools-$1.tar.gz%" \
+opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-pdf-tools-$1.tar.gz% \
    https://github.com/politza/pdf-tools/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-pdf-tools 1.0~20220723

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-
+CASK = cask
 EMACS ?= emacs
 # Handle the mess when inside Emacs.
 unexport INSIDE_EMACS		#cask not like this.
@@ -15,21 +15,21 @@
 pkgname=pdf-tools-$(version)
 pkgfile=$(pkgname).tar
 
-.PHONY: all clean distclean bytecompile test check melpa cask-install
+.PHONY: all clean distclean bytecompile test check melpa
 
 all: $(pkgfile)
 
 # Create a elpa package including the server
 $(pkgfile): .cask/$(emacs_version) server/epdfinfo lisp/*.el
-	cask package .
+	$(CASK) package .
 
 # Compile the Lisp sources
 bytecompile: .cask/$(emacs_version)
-	cask exec $(emacs) --batch -L lisp -f batch-byte-compile lisp/*.el
+	$(CASK) exec $(emacs) --batch -L lisp -f batch-byte-compile lisp/*.el
 
 # Run ERT tests
 test: all
-	PACKAGE_TAR=$(pkgfile) cask exec ert-runner
+	PACKAGE_TAR=$(pkgfile) $(CASK) exec ert-runner
 
 check: test
 
@@ -41,7 +41,7 @@
 
 # Init cask
 .cask/$(emacs_version):
-	cask install
+	$(CASK) install
 
 # Run the autobuild script (installing depends and compiling)
 autobuild:
@@ -95,3 +95,9 @@
 
 server-distclean:
 	! [ -f server/Makefile ] || $(MAKE) -C server distclean
+
+server-test-supported: server/test/Makefile
+	$(MAKE) -C server/test print
+
+server-test-unsupported: server/test/Makefile
+	$(MAKE) -C server/test print-failing

=== server/test/Makefile ===
--- 
+++ 
@@ -20,20 +20,20 @@
 
 # Create the Dockerfile
 docker/%.Dockerfile: docker/templates/%.Dockerfile.in \
-		     docker/templates/Dockerfile.in
+	docker/templates/Dockerfile.common.in
 	@echo Creating Dockerfile for target $*
 	cat $^ > $@
 
 # Build the Dockerfile
 docker/.%.build: docker/%.Dockerfile ../autobuild docker/lib
 	@echo Building target $*
-	docker build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../
+	podman image build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../ || exit 0
 	touch $@
 
 # Run the Dockerfile
 docker/%: docker/.%.build
 	@echo Running tests on target $*
-	docker run epdfinfo/$*
+	podman container run --rm --name epdfinfo-$* epdfinfo/$*
 
 # Run all Dockerfiles
 docker/test: docker/build $(patsubst %, docker/%, $(DOCKER_OS))
@@ -41,9 +41,24 @@
 # Build all Dockerfiles
 docker/build: $(patsubst %, docker/.%.build, $(DOCKER_OS))
 
-clean:
+docker/.%.clean:
+	@echo Cleaning target $*
+	podman container rm epdfinfo-$* || exit 0
+
+docker/clean: $(patsubst %, docker/.%.clean, $(DOCKER_OS))
+
+clean: docker/clean
 	rm -f -- docker/.[^.]*.build
 	rm -f -- docker/*.Dockerfile
 
 print:
-	@for os in $(DOCKER_OS); do echo $$os; done | sort
+	@echo List of Operating systems where server compilation is tested [via Docker]:
+	@for os in $(DOCKER_OS); do echo - $$os; done | sort
+
+print-failing: FAILING_OS := $(patsubst %.Dockerfile.in.FAILING, %, \
+	$(notdir $(wildcard docker/templates/*.Dockerfile.in.FAILING)))
+
+print-failing:
+	@echo List of Operating systems where server compilation is not tested:
+	@for os in $(FAILING_OS); do echo - $$os; done | sort
+	@echo PLEASE help support your favorite OS! More details at: https://pdftools.wiki/A401543C

=== debian/changelog ===
emacs-pdf-tools (1.0~20220723-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream snapshot 1.0~20220723, from new upstream repo.

  * d/control:
    - Bump Standards version to 4.5.1 (no changes required).
    - Bump debhelper compat to 13 (correct elpa-pdf-tools-server.install).
    - Add optional Rules-Requires-Root field to respect Debian Policy.
    - Update Homepage to match new upstream (politza -> vedang).

  * d/changelog:
    - Update Source to match new upstream (politza -> vedang).

  * d/watch:
    - Follow new upstream (politza -> vedang).
    - Remove dh_make template.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 07 Aug 2022 23:51:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper (>=11~),
+Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
-Standards-Version: 4.3.0
-Homepage: https://github.com/politza/pdf-tools
+Standards-Version: 4.5.1
+Rules-Requires-Root: binary-targets
+Homepage: https://github.com/vedang/pdf-tools
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git/

## emacs-pdf-tools 1.0.0

=== debian/changelog ===
emacs-pdf-tools (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream version 1.0.0.
  * d/control :
    - Bump Standards-Version to 4.6.2 (no changes required).
    - Update Maintainer team name (Emacs addons team -> Emacsen team).
    - Update Section (text -> editors).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 28 Jan 2023 19:07:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: emacs-pdf-tools
-Section: text
+Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/vedang/pdf-tools
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools

## emacs-pdf-tools 1.1.0

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,11 @@
 # Compile the Lisp sources
 bytecompile: .cask/$(emacs_version)
 	$(CASK) exec $(emacs) --batch -L lisp -f batch-byte-compile lisp/*.el
+
+# Clean bytecompiled sources
+byteclean:
+	rm -f -- lisp/*.elc
+	rm -f -- lisp/*.eln
 
 # Run ERT tests
 test: all
@@ -68,9 +73,8 @@
 		-f $(pkgname)-melpa.tar
 
 # Various clean targets
-clean: server-clean
+clean: server-clean byteclean
 	rm -f -- $(pkgfile)
-	rm -f -- lisp/*.elc
 	rm -f -- pdf-tools-readme.txt
 	rm -f -- pdf-tools-$(version).entry

=== server/test/Makefile ===
--- 
+++ 
@@ -7,16 +7,31 @@
 		$(notdir $(wildcard docker/templates/*.Dockerfile.in)))
 
 # Arguments to pass to docker build .
-DOCKER_BUILD_ARGS = -q
+DOCKER_BUILD_ARGS = -q -t
 
 # Advice make not to delete these "intermediate" files.
-.PRECIOUS: docker/%.Dockerfile docker/.%.build
+.PRECIOUS: docker/%.Dockerfile docker/.%.build docker/.%.container
 
-.PHONY: all test check docker/build
+# Avoid conflicts with real files
+SUBDIRS = docker
+.PHONY: subdirs $(SUBDIRS)
 
 all: docker/test
 test: docker/test
 check: docker/test
+
+# Create the Podman VM, if it hasn't already been created
+create-vm:
+	podman machine init --cpus 8 --memory 8192 --disk-size 50 || exit 0
+
+# Start Podman, if it isn't running
+start-vm: create-vm
+	podman machine start || exit 0
+	touch .$@
+
+# Stop Podman
+stop-vm:
+	podman machine stop
 
 # Create the Dockerfile
 docker/%.Dockerfile: docker/templates/%.Dockerfile.in \
@@ -24,16 +39,22 @@
 	@echo Creating Dockerfile for target $*
 	cat $^ > $@
 
-# Build the Dockerfile
+# Build the Docker Image. Since we are building a new image, remove the existing container.
 docker/.%.build: docker/%.Dockerfile ../autobuild docker/lib
-	@echo Building target $*
-	podman image build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../ || exit 0
+	@echo Building target image $*
+	podman image build $(DOCKER_BUILD_ARGS) epdfinfo/$* -f $< ../../
 	touch $@
 
-# Run the Dockerfile
-docker/%: docker/.%.build
+# Build the Docker Container
+docker/.%.container: docker/.%.build
+	@echo Building target container $*
+	podman container create $(DOCKER_BUILD_ARGS) --name epdfinfo-$* epdfinfo/$*
+	touch $@
+
+# Run the Containers generated by the dockerfile
+docker/%: docker/.%.container
 	@echo Running tests on target $*
-	podman container run --rm --name epdfinfo-$* epdfinfo/$*
+	podman container start -a epdfinfo-$*
 
 # Run all Dockerfiles
 docker/test: docker/build $(patsubst %, docker/%, $(DOCKER_OS))
@@ -47,8 +68,11 @@
 
 docker/clean: $(patsubst %, docker/.%.clean, $(DOCKER_OS))
 
+test: docker/test
+
 clean: docker/clean
 	rm -f -- docker/.[^.]*.build
+	rm -f -- docker/.[^.]*.container
 	rm -f -- docker/*.Dockerfile
 
 print:

=== debian/changelog ===
emacs-pdf-tools (1.1.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:57 +1100

emacs-pdf-tools (1.1.0-1ubuntu1) noble; urgency=high

  * Remove hardcoded libpoppler-glib8t dependency

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 23 Mar 2024 20:19:34 +0100

emacs-pdf-tools (1.1.0-1build3) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:35:21 +1300

emacs-pdf-tools (1.1.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:33:18 +0000

emacs-pdf-tools (1.1.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:25:51 +0000

emacs-pdf-tools (1.1.0-1) unstable; urgency=medium

  * Update to new upstream version 1.1.0.
  * Add myself, Aymeric Agon-Rambosson, to Uploaders.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 05 Nov 2023 03:05:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: emacs-pdf-tools
 Section: editors
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Rémi Vanicat <vanicat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Uploaders: Rémi Vanicat <vanicat@debian.org>,
+ Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
@@ -28,7 +30,7 @@
 
 Package: elpa-pdf-tools-server
 Architecture: any
-Depends: libpoppler-glib8 (>= 20.09.0~), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: server for Emacs's pdf-tools
  This package contain the server needed by elpa-pdf-tools to transform
  pdf into png to be displayed by Emacs.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  =
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%-indep:
	dh $@ --with elpa

%-arch:
	dh $@ --sourcedirectory=server

build-indep:
	# nothing to compile

clean:
	dh $@ --sourcedirectory=server

build: build-arch

binary: binary-arch binary-indep

override_dh_clean-arch:
	dh_clean
	rm -f server/ar-lib server/compile

=== debian/watch ===
version=4

opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-pdf-tools-$1.tar.gz% \
   https://github.com/vedang/pdf-tools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-pdf-tools 1.3.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 $(info Using Emacs $(emacs_version))
 
 version=$(shell sed -ne 's/^;\+ *Version: *\([0-9.]\)/\1/p' lisp/pdf-tools.el)
-pkgname=pdf-tools-$(version)
+PKG=pdf-tools
+pkgname=$(PKG)-$(version)
 pkgfile=$(pkgname).tar
 
 .PHONY: all clean distclean bytecompile test check melpa
@@ -20,8 +21,10 @@
 all: $(pkgfile)
 
 # Create a elpa package including the server
-$(pkgfile): .cask/$(emacs_version) server/epdfinfo lisp/*.el
+$(pkgfile): .cask/$(emacs_version) server/epdfinfo lisp/*.el loaddefs
 	$(CASK) package .
+
+loaddefs: $(PKG)-autoloads.el
 
 # Compile the Lisp sources
 bytecompile: .cask/$(emacs_version)
@@ -105,3 +108,18 @@
 
 server-test-unsupported: server/test/Makefile
 	$(MAKE) -C server/test print-failing
+
+$(PKG)-autoloads.el: lisp/*.el
+	@printf " Creating $@\n"
+	@cd lisp;$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
+(let ((file (expand-file-name \"$@\"))\
+      (autoload-timestamps nil) \
+      (backup-inhibited t)\
+      (version-control 'never)\
+      (coding-system-for-write 'utf-8-emacs-unix))\
+  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
+  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
+            ((symbol-function 'progress-reporter-done) (lambda (_))))\
+    (let ((generated-autoload-file file))\
+      (update-directory-autoloads default-directory))))" \
+	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
emacs-pdf-tools (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1124523)
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default
  * Migrate d/watch to version 5
  * Refresh patches and mark `Forwarded: not-needed' as needed
  * Add d/gbp.conf matching the current practice
  * Add d/salsa-ci.yml with the default template
  * Use canonical URL in Vcs-Git.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Add d/u/metadata generated by lintian-brush
  * Set upstream metadata fields: Bug-Submit.
  * Add myself to Uploaders

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 04 Jan 2026 04:36:07 -0800

emacs-pdf-tools (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:48:10 +0900

emacs-pdf-tools (1.1.0-2) unstable; urgency=medium

  * Team upload
  * d/control: remove explicit versioned dependency on libpoppler-glib8.
    Thanks to Julian Andres Klode for the suggestion (Closes: #1067568)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 23 Mar 2024 19:48:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: emacs-pdf-tools
 Section: editors
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>,
  Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/vedang/pdf-tools
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools
-Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git
 
 Package: elpa-pdf-tools
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  =
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 %-indep:

=== debian/watch ===
Version: 5

Template: Github
Owner: vedang
Project: pdf-tools
